## jameica-h2database 1.4.197

=== debian/changelog ===
jameica-h2database (1.4.197-7) unstable; urgency=medium

  * Add debian/clean
  * Add patch for JDK17 (Closes: #1011548)
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Jun 2022 21:31:29 +0200

jameica-h2database (1.4.197-6) unstable; urgency=medium

  * Bump policy version (no changes)
  * Source only upload after NEW.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 May 2022 20:25:57 +0200

jameica-h2database (1.4.197-5) unstable; urgency=medium

  * Package h2 1.4.197 as jameica-h2database.
    As discussed in #1006140, move h2.jar to /usr/share/jameica to make it a
    private library and free up /usr/share/java/h2.jar.
    See changelog below for the rational to provide version 1 and 2 as a
    package.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 05 May 2022 00:46:33 +0200

h2database (2.1.210+really1.4.197-1) unstable; urgency=medium

  * Revert to version 1.4.197-4+deb11u1
    The v2 series of h2 has a new on disk file format and is incompatible with
    v1, see: https://h2database.com/html/migration-to-v2.html
    The proposed migration plan is to provide both versions in bookworm so
    users can migrate their data. For now this revert to the old version to
    plan the migration and provide a working version to the users, especially
    for the next Ubuntu version. (Closes: #1006140)
  * Add myself to uploaders

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Feb 2022 08:56:43 +0100

h2database (2.1.210-1) unstable; urgency=high

  * Team upload.
  * New upstream version 2.1.210
    - Fix CVE-2021-42392 and CVE-2022-23221.
      Possible remote code execution through the H2 Console or via a
      jdbc:h2:mem JDBC URL containing the IGNORE_UNKNOWN_SETTINGS=TRUE option.
      Thanks to Salvatore Bonaccorso for the report. (Closes: #1003894)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.0.
  * Rebase use-jar-files-from-debian.patch and reproducible-javadoc.patch.
    Drop remaining patches.
  * Build-depend on libjakarta-servlet-api-java, libasm-java,
    libservlet-api-java and liblucene8-java.

 -- Markus Koschany <apo@debian.org>  Sat, 12 Feb 2022 21:04:26 +0100

h2database (1.4.197-4) unstable; urgency=medium

  * Depend on liblucene4.10-java instead of liblucene3-java
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Dec 2018 00:35:36 +0100

h2database (1.4.197-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with OpenJDK 11. Add TestCrashAPI.patch. (Closes: #913565)
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Nov 2018 20:02:45 +0100

h2database (1.4.197-2) unstable; urgency=medium

  * Team upload.
  * Removed the unused dependency on libequinox-osgi-java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Aug 2018 01:00:51 +0200

h2database (1.4.197-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.197
    - Fix compatibility issue with JTS 1.15. Thanks to Bas Couwenberg for the
      report and patch. (Closes: #902787)
  * Fix debian/watch file and use releases instead of tags.
  * Refresh 01-use-jar-files-from-debian.patch
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.0.

 -- Markus Koschany <apo@debian.org>  Tue, 14 Aug 2018 12:47:09 +0200

h2database (1.4.196-2) unstable; urgency=medium

  * Fixed the build failure when maven-debian-helper is installed
    (Closes: #875366)
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Nov 2017 12:53:48 +0100

h2database (1.4.196-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 09:49:11 +0200

h2database (1.4.193-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Nov 2016 22:00:48 +0100

h2database (1.4.192-3) unstable; urgency=medium

  * Transition to the Servlet API 3.1
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Oct 2016 09:18:19 +0200

h2database (1.4.192-2) unstable; urgency=medium

  * Fixed the build failure in offline mode

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 18 Jun 2016 23:41:19 +0200

h2database (1.4.192-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Team upload.
  * Set the locale when generating the javadoc to improve the reproducibility
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Jun 2016 13:00:51 +0200

h2database (1.4.191-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 Jan 2016 22:30:08 +0100

h2database (1.4.190-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Depend on libservlet3.0-java (Closes: #801039)
  * Watch and download the new releases from GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Dec 2015 13:52:11 +0100

h2database (1.4.185-2) unstable; urgency=medium

  * Team upload.
  * Drop 04-jts-compatibility.patch. No longer needed with jts 1.13.
  * Switch to libservlet3.1-java. (Closes: #801039)

 -- Markus Koschany <apo@debian.org>  Wed, 11 Nov 2015 18:15:35 +0100

h2database (1.4.185-1) unstable; urgency=low

  * Initial release. (Closes: #607891)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 Feb 2015 08:16:31 +0100
