=== debian/control ===
Source: jameica-h2database
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libjts-java,
 liblucene4.10-java,
 libosgi-compendium-java,
 libservlet3.1-java,
 libslf4j-java,
 maven-repo-helper
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/jameica-h2database.git
Vcs-Browser: https://salsa.debian.org/java-team/jameica-h2database
Homepage: http://www.h2database.com

Package: jameica-h2database
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests:
 libjts-java,
 liblucene4.10-java,
 libslf4j-java
Description: H2 Database Engine (jameica version)
 H2 is a relational database management system supporting a subset
 of the SQL standard. The main programming APIs are SQL and JDBC,
 however the database also supports using the PostgreSQL ODBC driver
 by acting like a PostgreSQL server.
 .
 The main features of H2 are:
 .
  - Very fast, open source, JDBC API.
  - Embedded and server modes; in-memory databases.
  - Browser based Console application.
  - Small footprint
 .
 This is version 1.4.197 of h2 as needed by jameica.
