## jameica-h2database 1.4.199

=== debian/changelog ===
jameica-h2database (1.4.199-1) unstable; urgency=medium

  * New upstream version 1.4.199
  * Rediff patches
  * Bump policy version (no changes)
  * Update description
  * Add R³

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 09:20:41 +0200
