=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
  debhelper-compat (= 13),
  default-jdk,
  javahelper,
+ libasm-java,
  libjts-java,
- liblucene4.10-java,
+ liblucene9-java,
  libosgi-compendium-java,
- libservlet3.1-java,
+ libservlet-api-java,
  libslf4j-java,
  maven-repo-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/jameica-h2database.git
 Vcs-Browser: https://salsa.debian.org/java-team/jameica-h2database
 Homepage: http://www.h2database.com
@@ -39,4 +41,4 @@
   - Browser based Console application.
   - Small footprint
  .
- This is version 1.4.197 of h2 as needed by jameica.
+ This is the version of h2 as needed by jameica.
